clan::PNGOutputDescription Class Reference - ClanLib SDK
Description: clan::PNGOutputDescription Class Reference

Public Member Functions | List of all members
clan::PNGOutputDescription Class Reference
clanDisplay Image Providers

Set PNG output options. Used with PNGProvider::save(). More...

`#include <png_output_description.h>`

## Public Member Functions
| PNGOutputDescription (int bit_depth=8, PNGColorType color_type=png_color_type_rgb_alpha)
| Create output description.
void | add_comment (const std::string &comment, std::string &keyword, const std::string &lang, const std::string &translated_keyword)
void | add_palette (const PNGOutputDescriptionPalette &palette)
void | add_unknown_chunk (const std::string &name, const DataBuffer &chunk_data, PNGUnknownChunkLocation location)
void | set_background_color (const Color &background_color)
void | set_chromacities (const Vec2f &white, const Vec2f &red, const Vec2f &green, const Vec2f &blue)
void | set_chromacities_XYZ (const Vec3f &red, const Vec3f &green, const Vec3f &blue)
void | set_filter_method (PNGFilterMethod filter)
void | set_gamma (float gamma)
void | set_icc_profile (const std::string &profile_name, const DataBuffer &profile_data)
void | set_interlace_type (PNGInterlaceType type)
void | set_key_color (const Color &color)
void | set_modification_time (const DateTime &datetime)
void | set_offset_from_screen_topleft (const Vec2i &offset, PNGOffsetUnitType offset_unit_type)
void | set_physical_resolution (const Vec2i &resolution, PNGResolutionUnitType resolution_type)
void | set_physical_scale (int scale_units, const Sized &pixel_size_in_scale_units)
void | set_significant_bits (int num_bits)
void | set_srgb_intent (PNGsRGBIntent intent)

## Detailed Description

Set PNG output options. Used with PNGProvider::save().

## Constructor & Destructor Documentation

## ◆ PNGOutputDescription()

clan::PNGOutputDescription::PNGOutputDescription | ( | int | bit_depth = 8,
|  | PNGColorType | color_type = png_color_type_rgb_alpha )

Create output description.

Parameters

  bit_depth | Number of bits per pixel. valid values are 1, 2, 4, 8, 16 - depending on color_type.
  color_type | Color mode of output image.

## Member Function Documentation

## ◆ add_comment()

void clan::PNGOutputDescription::add_comment | ( | const std::string & | comment,
|  | std::string & | keyword,
|  | const std::string & | lang,
|  | const std::string & | translated_keyword )

## ◆ add_palette()

void clan::PNGOutputDescription::add_palette | ( | const PNGOutputDescriptionPalette & | palette | ) |

## ◆ add_unknown_chunk()

void clan::PNGOutputDescription::add_unknown_chunk | ( | const std::string & | name,
|  | const DataBuffer & | chunk_data,
|  | PNGUnknownChunkLocation | location )

## ◆ set_background_color()

void clan::PNGOutputDescription::set_background_color | ( | const Color & | background_color | ) |

## ◆ set_chromacities()

void clan::PNGOutputDescription::set_chromacities | ( | const Vec2f & | white,
|  | const Vec2f & | red,
|  | const Vec2f & | green,
|  | const Vec2f & | blue )

## ◆ set_chromacities_XYZ()

void clan::PNGOutputDescription::set_chromacities_XYZ | ( | const Vec3f & | red,
|  | const Vec3f & | green,
|  | const Vec3f & | blue )

## ◆ set_filter_method()

void clan::PNGOutputDescription::set_filter_method | ( | PNGFilterMethod | filter | ) |

## ◆ set_gamma()

void clan::PNGOutputDescription::set_gamma | ( | float | gamma | ) |

## ◆ set_icc_profile()

void clan::PNGOutputDescription::set_icc_profile | ( | const std::string & | profile_name,
|  | const DataBuffer & | profile_data )

## ◆ set_interlace_type()

void clan::PNGOutputDescription::set_interlace_type | ( | PNGInterlaceType | type | ) |

## ◆ set_key_color()

void clan::PNGOutputDescription::set_key_color | ( | const Color & | color | ) |

## ◆ set_modification_time()

void clan::PNGOutputDescription::set_modification_time | ( | const DateTime & | datetime | ) |

## ◆ set_offset_from_screen_topleft()

void clan::PNGOutputDescription::set_offset_from_screen_topleft | ( | const Vec2i & | offset,
|  | PNGOffsetUnitType | offset_unit_type )

## ◆ set_physical_resolution()

void clan::PNGOutputDescription::set_physical_resolution | ( | const Vec2i & | resolution,
|  | PNGResolutionUnitType | resolution_type )

## ◆ set_physical_scale()

void clan::PNGOutputDescription::set_physical_scale | ( | int | scale_units,
|  | const Sized & | pixel_size_in_scale_units )

## ◆ set_significant_bits()

void clan::PNGOutputDescription::set_significant_bits | ( | int | num_bits | ) |

## ◆ set_srgb_intent()

void clan::PNGOutputDescription::set_srgb_intent | ( | PNGsRGBIntent | intent | ) |

The documentation for this class was generated from the following file:

- png_output_description.h